part of 'expansion_list_bloc.dart';

abstract class ExpansionListState extends Equatable {
  const ExpansionListState();

  @override
  List<Object> get props => [];
}

class ExpansionListInitial extends ExpansionListState {}

class ExpansionListFailure extends ExpansionListState {
  final String errorString;
  ExpansionListFailure({required this.errorString});
}

class ExpansionListSuccess extends ExpansionListState {
  final List<NurseryDetail> items;

  const ExpansionListSuccess({required this.items});

  ExpansionListSuccess copyWith({List<NurseryDetail>? items}) {
    return ExpansionListSuccess(items: items ?? this.items);
  }

  @override
  List<Object> get props => [items];
}
